Package com.datecs.fiscalprinter.SDK

# Class FiscalDeviceV1

java.lang.Object
com.datecs.fiscalprinter.SDK.FiscalDeviceV1

Direct Known Subclasses:
  `DP05_BGR`, `DP15_BGR`, `DP150_BGR`, `DP25_BGR`, `DP35_BGR`, `WP50_BGR`

    public abstract class FiscalDeviceV1
    extends java.lang.Object

Base fiscal device class

DATECS DP-05/ DP-25/ DP-35 /WP-50/ DP-150

This class provides common interface with methods for all Datecs Ltd. fiscal devices supported within this SDK. Because of devices differences in some methods, sometimes you must supply command with extra parameters to match your desired command behaviour. FiscalDevice provide easy methods to set before command execution these extra parameters. For further information, please take a look on your device's documentation.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `int` | `MAX_ADDITIONAL_PAYMENTS` |
  `static AbstractTransportProtocol` | `transport` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalDeviceV1​(AbstractTransportProtocol protocol)` |
  `FiscalDeviceV1​(java.io.InputStream input, java.io.OutputStream output)` |
  `FiscalDeviceV1​(java.io.InputStream input, java.io.OutputStream output, int encoding)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `abstract FiscalResponse` | `command100Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command101Variant0Version0​(java.lang.String operatorCode, java.lang.String oldPassword, java.lang.String newPassword)` |
  `abstract FiscalResponse` | `command102Variant0Version0​(java.lang.String operatorCode, java.lang.String operatorPass, java.lang.String operatorName)` |
  `abstract FiscalResponse` | `command103Variant0Version0()` |
  `abstract FiscalResponse` | `command105Variant0Version0()` |
  `abstract FiscalResponse` | `command106Variant0Version0​(java.lang.String mSec)` |
  `abstract FiscalResponse` | `command107Variant0Version0()` |
  `abstract FiscalResponse` | `command107Variant10Version0()` |
  `abstract FiscalResponse` | `command107Variant11Version0​(java.lang.String option, java.lang.String startPLU)` |
  `abstract FiscalResponse` | `command107Variant12Version0​(java.lang.String PLU, java.lang.String price)` |
  `abstract FiscalResponse` | `command107Variant1Version0​(java.lang.String taxGr, java.lang.String PLU, java.lang.String group, java.lang.String price, java.lang.String replaceQty, java.lang.String quantity, java.lang.String name)` |
  `abstract FiscalResponse` | `command107Variant2Version0​(java.lang.String PLU, java.lang.String quantity)` |
  `abstract FiscalResponse` | `command107Variant3Version0​(java.lang.String option, java.lang.String PLU, java.lang.String toPLU)` |
  `abstract FiscalResponse` | `command107Variant4Version0​(java.lang.String PLU)` |
  `abstract FiscalResponse` | `command107Variant5Version0​(java.lang.String startPLU)` |
  `abstract FiscalResponse` | `command107Variant6Version0​(java.lang.String lastPLU)` |
  `abstract FiscalResponse` | `command107Variant7Version0()` |
  `abstract FiscalResponse` | `command107Variant8Version0​(java.lang.String startPLU)` |
  `abstract FiscalResponse` | `command107Variant9Version0​(java.lang.String startPLU)` |
  `abstract FiscalResponse` | `command108Variant0Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command109Variant0Version0​(java.lang.String count)` |
  `abstract FiscalResponse` | `command110Variant0Version0()` |
  `abstract FiscalResponse` | `command111Variant0Version0​(java.lang.String reportType, java.lang.String firstPLU, java.lang.String lastPLU, java.lang.String group)` |
  `abstract FiscalResponse` | `command112Variant0Version0​(java.lang.String operator)` |
  `abstract FiscalResponse` | `command112Variant1Version0​(java.lang.String operator)` |
  `abstract FiscalResponse` | `command113Variant0Version0()` |
  `abstract FiscalResponse` | `command114Variant0Version0​(java.lang.String Rec1)` |
  `abstract FiscalResponse` | `command114Variant10Version0​(java.lang.String closure1)` |
  `abstract FiscalResponse` | `command114Variant1Version0​(java.lang.String closure1, java.lang.String closure2)` |
  `abstract FiscalResponse` | `command114Variant2Version0​(java.lang.String closure1, java.lang.String closure2)` |
  `abstract FiscalResponse` | `command114Variant3Version0​(java.lang.String closure1, java.lang.String closure2)` |
  `abstract FiscalResponse` | `command114Variant4Version0​(java.lang.String closure1)` |
  `abstract FiscalResponse` | `command114Variant5Version0​(java.lang.String closure1)` |
  `abstract FiscalResponse` | `command114Variant6Version0​(java.lang.String closure1)` |
  `abstract FiscalResponse` | `command114Variant7Version0​(java.lang.String closure1, java.lang.String closure2)` |
  `abstract FiscalResponse` | `command114Variant8Version0​(java.lang.String closure1, java.lang.String closure2)` |
  `abstract FiscalResponse` | `command114Variant9Version0​(java.lang.String closure1, java.lang.String closure2)` |
  `abstract FiscalResponse` | `command115Variant0Version0​(java.lang.String rowNum, java.lang.String data)` |
  `abstract FiscalResponse` | `command115Variant1Version0​(java.lang.String rowNum)` |
  `abstract FiscalResponse` | `command117Variant0Version0​(java.lang.String Reset)` |
  `abstract FiscalResponse` | `command118Variant0Version0​(java.lang.String Reset)` |
  `abstract FiscalResponse` | `command119Variant0Version0​(java.lang.String Flg, java.lang.String DT1, java.lang.String DT2)` |
  `abstract FiscalResponse` | `command119Variant1Version0()` |
  `abstract FiscalResponse` | `command124Variant0Version0​(java.lang.String DocType, java.lang.String BegDate, java.lang.String EndDate)` |
  `abstract FiscalResponse` | `command124Variant1Version0​(java.lang.String DocType, java.lang.String BegZ, java.lang.String EndZ)` |
  `abstract FiscalResponse` | `command124Variant2Version0()` |
  `abstract FiscalResponse` | `command125Variant0Version0​(java.lang.String DocNum, java.lang.String RecType)` |
  `abstract FiscalResponse` | `command125Variant1Version0()` |
  `abstract FiscalResponse` | `command125Variant1Version2()` |
  `abstract FiscalResponse` | `command125Variant2Version0​(java.lang.String DocNum, java.lang.String RecType)` |
  `abstract FiscalResponse` | `command140Variant0Version0​(java.lang.String EIK, java.lang.String EIKType, java.lang.String Receiver, java.lang.String Client, java.lang.String TaxNo, java.lang.String Address_1, java.lang.String Address_2)` |
  `abstract FiscalResponse` | `command140Variant1Version0​(java.lang.String EIK)` |
  `abstract FiscalResponse` | `command140Variant2Version0​(java.lang.String Seller)` |
  `abstract FiscalResponse` | `command140Variant3Version0()` |
  `abstract FiscalResponse` | `command140Variant4Version0()` |
  `abstract FiscalResponse` | `command140Variant5Version0()` |
  `abstract FiscalResponse` | `command140Variant6Version0()` |
  `abstract FiscalResponse` | `command140Variant7Version0​(java.lang.String EIK)` |
  `abstract FiscalResponse` | `command33Variant0Version0()` |
  `abstract FiscalResponse` | `command35Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command38Variant0Version0()` |
  `abstract FiscalResponse` | `command39Variant0Version0()` |
  `abstract FiscalResponse` | `command42Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command42Variant1Version0​(java.lang.String Height, java.lang.String Text)` |
  `abstract FiscalResponse` | `command43Variant0Version0​(java.lang.String itemIndex, java.lang.String itemText)` |
  `abstract FiscalResponse` | `command43Variant1Version0​(java.lang.String printOption, java.lang.String value)` |
  `abstract FiscalResponse` | `command43Variant2Version0​(java.lang.String itemOption)` |
  `abstract FiscalResponse` | `command43Variant2Version1​(java.lang.String lineNumber)` |
  `abstract FiscalResponse` | `command44Variant0Version0​(java.lang.String lines)` |
  `abstract FiscalResponse` | `command46Variant0Version0​(java.lang.String OpCode, java.lang.String OpPwd, java.lang.String NSale, java.lang.String TillNmb, java.lang.String DocType, java.lang.String DocNumber, java.lang.String DocDateTime, java.lang.String FMNumber, java.lang.String Invoice, java.lang.String InvNumber, java.lang.String Reason)` |
  `abstract FiscalResponse` | `command47Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command48Variant0Version0​(java.lang.String OpNum, java.lang.String Password, java.lang.String TillNum, java.lang.String UNP)` |
  `abstract FiscalResponse` | `command48Variant1Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String UNP)` |
  `abstract FiscalResponse` | `command48Variant2Version0()` |
  `abstract FiscalResponse` | `command49Variant0Version0​(java.lang.String L1, java.lang.String L2, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String perc)` |
  `abstract FiscalResponse` | `command49Variant0Version1​(java.lang.String L1, java.lang.String L2, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String perc)` |
  `abstract FiscalResponse` | `command49Variant1Version0​(java.lang.String L1, java.lang.String L2, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String absSum)` |
  `abstract FiscalResponse` | `command49Variant1Version1​(java.lang.String L1, java.lang.String L2, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String absSum)` |
  `abstract FiscalResponse` | `command50Variant0Version0​(java.lang.String startDate, java.lang.String endDate)` |
  `abstract FiscalResponse` | `command51Variant0Version0​(java.lang.String print, java.lang.String display)` |
  `abstract FiscalResponse` | `command51Variant1Version0​(java.lang.String print, java.lang.String display, java.lang.String perc)` |
  `abstract FiscalResponse` | `command51Variant2Version0​(java.lang.String print, java.lang.String display, java.lang.String absSum)` |
  `abstract FiscalResponse` | `command52Variant0Version0​(java.lang.String L1, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String UN, java.lang.String perc)` |
  `abstract FiscalResponse` | `command52Variant0Version1​(java.lang.String L1, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String perc)` |
  `abstract FiscalResponse` | `command52Variant1Version0​(java.lang.String L1, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String absSum)` |
  `abstract FiscalResponse` | `command52Variant1Version1​(java.lang.String L1, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String absSum)` |
  `abstract FiscalResponse` | `command53Variant0Version0​(java.lang.String L1, java.lang.String L2, java.lang.String paidMode, java.lang.String amount)` |
  `abstract FiscalResponse` | `command54Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command56Variant0Version0()` |
  `abstract FiscalResponse` | `command57Variant0Version0​(java.lang.String Bulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String taxNo, java.lang.String address)` |
  `abstract FiscalResponse` | `command57Variant1Version0​(java.lang.String typeEIK, java.lang.String EIK, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String taxNo, java.lang.String address)` |
  `abstract FiscalResponse` | `command58Variant0Version0​(java.lang.String display, java.lang.String plu, java.lang.String dept, java.lang.String quan, java.lang.String perc)` |
  `abstract FiscalResponse` | `command58Variant0Version1​(java.lang.String D, java.lang.String plu, java.lang.String dept, java.lang.String quan, java.lang.String abs)` |
  `abstract FiscalResponse` | `command60Variant0Version0()` |
  `abstract FiscalResponse` | `command61Variant0Version0​(java.lang.String date, java.lang.String time)` |
  `abstract FiscalResponse` | `command61Variant1Version0​(java.lang.String dateTime)` |
  `abstract FiscalResponse` | `command62Variant0Version0()` |
  `abstract FiscalResponse` | `command63Variant0Version0()` |
  `abstract FiscalResponse` | `command64Variant0Version0​(java.lang.String Option)` |
  `abstract FiscalResponse` | `command65Variant0Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command65Variant1Version0()` |
  `abstract FiscalResponse` | `command65Variant2Version0()` |
  `abstract FiscalResponse` | `command65Variant3Version0()` |
  `abstract FiscalResponse` | `command65Variant5Version0()` |
  `abstract FiscalResponse` | `command65Variant6Version0()` |
  `abstract FiscalResponse` | `command65Variant7Version0()` |
  `abstract FiscalResponse` | `command66Variant0Version0​(java.lang.String start, java.lang.String end)` |
  `abstract FiscalResponse` | `command68Variant0Version0()` |
  `abstract FiscalResponse` | `command69Variant0Version0​(java.lang.String reportType)` |
  `abstract FiscalResponse` | `command70Variant0Version0​(java.lang.String amount)` |
  `abstract FiscalResponse` | `command71Variant0Version0()` |
  `abstract FiscalResponse` | `command73Variant0Version0​(java.lang.String SHA1, java.lang.String SkipZ, java.lang.String Start, java.lang.String End)` |
  `abstract FiscalResponse` | `command74Variant0Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command74Variant1Version0()` |
  `abstract FiscalResponse` | `command74Variant2Version0()` |
  `abstract FiscalResponse` | `command74Variant3Version0()` |
  `abstract FiscalResponse` | `command75Variant0Version0​(java.lang.String Restore)` |
  `abstract FiscalResponse` | `command76Variant0Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command79Variant0Version0​(java.lang.String start, java.lang.String end)` |
  `abstract FiscalResponse` | `command80Variant0Version0​(java.lang.String hz, java.lang.String mSec)` |
  `abstract FiscalResponse` | `command83Variant0Version0​(java.lang.String multiplier, java.lang.String decimals, java.lang.String currency, java.lang.String enabledT, java.lang.String taxA, java.lang.String taxB, java.lang.String taxC, java.lang.String taxD, java.lang.String taxE, java.lang.String taxF, java.lang.String taxG, java.lang.String taxH)` |
  `abstract FiscalResponse` | `command83Variant1Version0()` |
  `abstract FiscalResponse` | `command84Variant0Version0​(java.lang.String bcType, java.lang.String bcData, java.lang.String sPrintBCdata)` |
  `abstract FiscalResponse` | `command85Variant0Version0​(java.lang.String option, java.lang.String name)` |
  `abstract FiscalResponse` | `command85Variant1Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command86Variant0Version0()` |
  `abstract FiscalResponse` | `command86Variant1Version0​(java.lang.String Option, java.lang.String Number)` |
  `abstract FiscalResponse` | `command87Variant0Version0​(java.lang.String dept, java.lang.String taxGr, java.lang.String line1, java.lang.String line2)` |
  `abstract FiscalResponse` | `command88Variant0Version0​(java.lang.String dept)` |
  `abstract FiscalResponse` | `command89Variant0Version0​(java.lang.String testType)` |
  `abstract FiscalResponse` | `command90Variant0Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command92Variant0Version0​(java.lang.String type)` |
  `abstract FiscalResponse` | `command92Variant1Version0​(java.lang.String type)` |
  `abstract FiscalResponse` | `command93Variant1Version0()` |
  `abstract FiscalResponse` | `command94Variant0Version0​(java.lang.String SHA1, java.lang.String SkipZ, java.lang.String startDate, java.lang.String endDate)` |
  `abstract FiscalResponse` | `command94Variant1Version0​(java.lang.String SHA1, java.lang.String SkipZ, java.lang.String startDate)` |
  `abstract FiscalResponse` | `command95Variant0Version0​(java.lang.String first, java.lang.String last)` |
  `abstract FiscalResponse` | `command97Variant0Version0()` |
  `abstract FiscalResponse` | `command98Variant0Version0​(java.lang.String text, java.lang.String name)` |
  `abstract FiscalResponse` | `command99Variant0Version0()` |
  `java.lang.String` | `customCommand​(int cmd, java.lang.String data)` |
  `abstract boolean` | `getCapAutoCutter()` |
  `abstract boolean` | `getCapFontSupported()` |
  `java.lang.String` | `getDefaultOpCode()` |
  `java.lang.String` | `getDefaultOpPass()` |
  `java.lang.String` | `getDefaultTillNumber()` |
  `FiscalDeviceInfo` | `getInfo()` |
  `static boolean` | `getIsStatusCritical​(int statusByte, int statusBit)` |
  `byte[]` | `getLastStatus()` |
  `abstract int` | `getLogoROW_NUM()` |
  `abstract java.lang.Integer` | `getMAX_DEPARTMENT()` |
  `abstract java.lang.Integer` | `getMAX_PLU()` |
  `java.lang.Double` | `getMAX_PRICE()` |
  `abstract int` | `getMaxBarcodeHeight_mm()` |
  `abstract int` | `getMaxDepartments()` |
  `int` | `getMaxDisplayText()` |
  `int` | `getMaxFiscalText()` |
  `int` | `getMaxFooterLines()` |
  `int` | `getMaxHeaderLines()` |
  `abstract int` | `getMaxLinesToFeed()` |
  `abstract int` | `getMaxLogoHeightPixel()` |
  `abstract int` | `getMaxLogoWidthPixel()` |
  `int` | `getMaxNonFiscalText()` |
  `java.lang.Integer` | `getMaxOperators()` |
  `abstract java.lang.Integer` | `getMaxStockGroup()` |
  `int` | `getMaxTextHeaderFooter()` |
  `abstract int` | `getMinBarcodeHeight_mm()` |
  `abstract int` | `getPrintColumns()` |
  `boolean` | `getStatusBitBol​(int byteIndex, int bitIndex)` |
  `java.lang.String` | `getStatusBitDescription​(int byteIndex, int bitIndex)` |
  `boolean` | `isCapAutoCutter()` |
  `boolean` | `isChkInputParams()` |
  `boolean` | `notDbl​(java.lang.String value)` |
  `boolean` | `notInt​(java.lang.String value)` |
  `byte[]` | `queryStatus()` |
  `void` | `setChkInputParams​(boolean toValue)` |
  `static void` | `setCriticalStatuses​(boolean[][] statusCritical)` |
  `static void` | `setDebugLevel​(java.util.logging.Level level)` |
  `void` | `setMsgSeparator​(java.lang.String msgSeparator)` |
  `double` | `toDouble​(java.lang.String value)` |
  `int` | `toInt​(java.lang.String value)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_ADDITIONAL_PAYMENTS

    public int MAX_ADDITIONAL_PAYMENTS

  - ### transport

    public static AbstractTransportProtocol transport

- ## Constructor Details

  - ### FiscalDeviceV1

    public FiscalDeviceV1​(java.io.InputStream input, java.io.OutputStream output, int encoding)

  - ### FiscalDeviceV1

    public FiscalDeviceV1​(java.io.InputStream input, java.io.OutputStream output)

  - ### FiscalDeviceV1

    public FiscalDeviceV1​(AbstractTransportProtocol protocol)

- ## Method Details

  - ### getIsStatusCritical

    public static boolean getIsStatusCritical​(int statusByte, int statusBit)

  - ### setCriticalStatuses

    public static void setCriticalStatuses​(boolean[][] statusCritical)

  - ### setMsgSeparator

    public void setMsgSeparator​(java.lang.String msgSeparator)

  - ### customCommand

    public final java.lang.String customCommand​(int cmd, java.lang.String data) throws FiscalException, java.lang.UnsupportedOperationException, java.io.IOException
    Throws:
      `FiscalException`
      `java.lang.UnsupportedOperationException`
      `java.io.IOException`

  - ### close

    public final void close()

  - ### getStatusBitDescription

    public java.lang.String getStatusBitDescription​(int byteIndex, int bitIndex)

  - ### setDebugLevel

    public static void setDebugLevel​(java.util.logging.Level level)

  - ### getInfo

    public FiscalDeviceInfo getInfo()

  - ### setChkInputParams

    public void setChkInputParams​(boolean toValue)

  - ### isChkInputParams

    public boolean isChkInputParams()

  - ### notInt

    public boolean notInt​(java.lang.String value)

  - ### notDbl

    public boolean notDbl​(java.lang.String value)

  - ### toInt

    public int toInt​(java.lang.String value)

  - ### toDouble

    public double toDouble​(java.lang.String value)

  - ### getLastStatus

    public byte[] getLastStatus()

  - ### queryStatus

    public byte[] queryStatus() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getStatusBitBol

    public boolean getStatusBitBol​(int byteIndex, int bitIndex)

  - ### command33Variant0Version0

    public abstract FiscalResponse command33Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command35Variant0Version0

    public abstract FiscalResponse command35Variant0Version0​(java.lang.String text) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command38Variant0Version0

    public abstract FiscalResponse command38Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command39Variant0Version0

    public abstract FiscalResponse command39Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command42Variant0Version0

    public abstract FiscalResponse command42Variant0Version0​(java.lang.String text) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command42Variant1Version0

    public abstract FiscalResponse command42Variant1Version0​(java.lang.String Height, java.lang.String Text) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command43Variant0Version0

    public abstract FiscalResponse command43Variant0Version0​(java.lang.String itemIndex, java.lang.String itemText) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command43Variant1Version0

    public abstract FiscalResponse command43Variant1Version0​(java.lang.String printOption, java.lang.String value) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command43Variant2Version1

    public abstract FiscalResponse command43Variant2Version1​(java.lang.String lineNumber) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command43Variant2Version0

    public abstract FiscalResponse command43Variant2Version0​(java.lang.String itemOption) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command44Variant0Version0

    public abstract FiscalResponse command44Variant0Version0​(java.lang.String lines) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command46Variant0Version0

    public abstract FiscalResponse command46Variant0Version0​(java.lang.String OpCode, java.lang.String OpPwd, java.lang.String NSale, java.lang.String TillNmb, java.lang.String DocType, java.lang.String DocNumber, java.lang.String DocDateTime, java.lang.String FMNumber, java.lang.String Invoice, java.lang.String InvNumber, java.lang.String Reason) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command47Variant0Version0

    public abstract FiscalResponse command47Variant0Version0​(java.lang.String text) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### getMaxLinesToFeed

    public abstract int getMaxLinesToFeed()

  - ### command48Variant0Version0

    public abstract FiscalResponse command48Variant0Version0​(java.lang.String OpNum, java.lang.String Password, java.lang.String TillNum, java.lang.String UNP) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command48Variant1Version0

    public abstract FiscalResponse command48Variant1Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String UNP) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command48Variant2Version0

    public abstract FiscalResponse command48Variant2Version0() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command49Variant0Version0

    public abstract FiscalResponse command49Variant0Version0​(java.lang.String L1, java.lang.String L2, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String perc) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command49Variant1Version0

    public abstract FiscalResponse command49Variant1Version0​(java.lang.String L1, java.lang.String L2, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String absSum) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command49Variant0Version1

    public abstract FiscalResponse command49Variant0Version1​(java.lang.String L1, java.lang.String L2, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String perc) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command49Variant1Version1

    public abstract FiscalResponse command49Variant1Version1​(java.lang.String L1, java.lang.String L2, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String absSum) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command50Variant0Version0

    public abstract FiscalResponse command50Variant0Version0​(java.lang.String startDate, java.lang.String endDate) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command51Variant0Version0

    public abstract FiscalResponse command51Variant0Version0​(java.lang.String print, java.lang.String display) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command51Variant1Version0

    public abstract FiscalResponse command51Variant1Version0​(java.lang.String print, java.lang.String display, java.lang.String perc) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command51Variant2Version0

    public abstract FiscalResponse command51Variant2Version0​(java.lang.String print, java.lang.String display, java.lang.String absSum) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command52Variant0Version0

    public abstract FiscalResponse command52Variant0Version0​(java.lang.String L1, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String UN, java.lang.String perc) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command52Variant1Version0

    public abstract FiscalResponse command52Variant1Version0​(java.lang.String L1, java.lang.String taxCd, java.lang.String price, java.lang.String quan, java.lang.String absSum) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command52Variant0Version1

    public abstract FiscalResponse command52Variant0Version1​(java.lang.String L1, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String perc) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command52Variant1Version1

    public abstract FiscalResponse command52Variant1Version1​(java.lang.String L1, java.lang.String Dept, java.lang.String price, java.lang.String quan, java.lang.String absSum) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command53Variant0Version0

    public abstract FiscalResponse command53Variant0Version0​(java.lang.String L1, java.lang.String L2, java.lang.String paidMode, java.lang.String amount) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command54Variant0Version0

    public abstract FiscalResponse command54Variant0Version0​(java.lang.String text) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command56Variant0Version0

    public abstract FiscalResponse command56Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command57Variant0Version0

    public abstract FiscalResponse command57Variant0Version0​(java.lang.String Bulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String taxNo, java.lang.String address) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command57Variant1Version0

    public abstract FiscalResponse command57Variant1Version0​(java.lang.String typeEIK, java.lang.String EIK, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String taxNo, java.lang.String address) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command58Variant0Version0

    public abstract FiscalResponse command58Variant0Version0​(java.lang.String display, java.lang.String plu, java.lang.String dept, java.lang.String quan, java.lang.String perc) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command58Variant0Version1

    public abstract FiscalResponse command58Variant0Version1​(java.lang.String D, java.lang.String plu, java.lang.String dept, java.lang.String quan, java.lang.String abs) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command60Variant0Version0

    public abstract FiscalResponse command60Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command61Variant0Version0

    public abstract FiscalResponse command61Variant0Version0​(java.lang.String date, java.lang.String time) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command61Variant1Version0

    public abstract FiscalResponse command61Variant1Version0​(java.lang.String dateTime) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command62Variant0Version0

    public abstract FiscalResponse command62Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command63Variant0Version0

    public abstract FiscalResponse command63Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command64Variant0Version0

    public abstract FiscalResponse command64Variant0Version0​(java.lang.String Option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant0Version0

    public abstract FiscalResponse command65Variant0Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant1Version0

    public abstract FiscalResponse command65Variant1Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant2Version0

    public abstract FiscalResponse command65Variant2Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant3Version0

    public abstract FiscalResponse command65Variant3Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant5Version0

    public abstract FiscalResponse command65Variant5Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant6Version0

    public abstract FiscalResponse command65Variant6Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command65Variant7Version0

    public abstract FiscalResponse command65Variant7Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command66Variant0Version0

    public abstract FiscalResponse command66Variant0Version0​(java.lang.String start, java.lang.String end) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command68Variant0Version0

    public abstract FiscalResponse command68Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command69Variant0Version0

    public abstract FiscalResponse command69Variant0Version0​(java.lang.String reportType) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command70Variant0Version0

    public abstract FiscalResponse command70Variant0Version0​(java.lang.String amount) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command71Variant0Version0

    public abstract FiscalResponse command71Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command73Variant0Version0

    public abstract FiscalResponse command73Variant0Version0​(java.lang.String SHA1, java.lang.String SkipZ, java.lang.String Start, java.lang.String End) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command74Variant0Version0

    public abstract FiscalResponse command74Variant0Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command74Variant1Version0

    public abstract FiscalResponse command74Variant1Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command74Variant2Version0

    public abstract FiscalResponse command74Variant2Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command74Variant3Version0

    public abstract FiscalResponse command74Variant3Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command75Variant0Version0

    public abstract FiscalResponse command75Variant0Version0​(java.lang.String Restore) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command76Variant0Version0

    public abstract FiscalResponse command76Variant0Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command79Variant0Version0

    public abstract FiscalResponse command79Variant0Version0​(java.lang.String start, java.lang.String end) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command80Variant0Version0

    public abstract FiscalResponse command80Variant0Version0​(java.lang.String hz, java.lang.String mSec) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command83Variant0Version0

    public abstract FiscalResponse command83Variant0Version0​(java.lang.String multiplier, java.lang.String decimals, java.lang.String currency, java.lang.String enabledT, java.lang.String taxA, java.lang.String taxB, java.lang.String taxC, java.lang.String taxD, java.lang.String taxE, java.lang.String taxF, java.lang.String taxG, java.lang.String taxH) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command83Variant1Version0

    public abstract FiscalResponse command83Variant1Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command84Variant0Version0

    public abstract FiscalResponse command84Variant0Version0​(java.lang.String bcType, java.lang.String bcData, java.lang.String sPrintBCdata) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command85Variant0Version0

    public abstract FiscalResponse command85Variant0Version0​(java.lang.String option, java.lang.String name) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command85Variant1Version0

    public abstract FiscalResponse command85Variant1Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command86Variant0Version0

    public abstract FiscalResponse command86Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command86Variant1Version0

    public abstract FiscalResponse command86Variant1Version0​(java.lang.String Option, java.lang.String Number) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command87Variant0Version0

    public abstract FiscalResponse command87Variant0Version0​(java.lang.String dept, java.lang.String taxGr, java.lang.String line1, java.lang.String line2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command88Variant0Version0

    public abstract FiscalResponse command88Variant0Version0​(java.lang.String dept) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command89Variant0Version0

    public abstract FiscalResponse command89Variant0Version0​(java.lang.String testType) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command90Variant0Version0

    public abstract FiscalResponse command90Variant0Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command92Variant0Version0

    public abstract FiscalResponse command92Variant0Version0​(java.lang.String type) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command92Variant1Version0

    public abstract FiscalResponse command92Variant1Version0​(java.lang.String type) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command93Variant1Version0

    public abstract FiscalResponse command93Variant1Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command94Variant0Version0

    public abstract FiscalResponse command94Variant0Version0​(java.lang.String SHA1, java.lang.String SkipZ, java.lang.String startDate, java.lang.String endDate) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command94Variant1Version0

    public abstract FiscalResponse command94Variant1Version0​(java.lang.String SHA1, java.lang.String SkipZ, java.lang.String startDate) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command95Variant0Version0

    public abstract FiscalResponse command95Variant0Version0​(java.lang.String first, java.lang.String last) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command97Variant0Version0

    public abstract FiscalResponse command97Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command98Variant0Version0

    public abstract FiscalResponse command98Variant0Version0​(java.lang.String text, java.lang.String name) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command99Variant0Version0

    public abstract FiscalResponse command99Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command100Variant0Version0

    public abstract FiscalResponse command100Variant0Version0​(java.lang.String text) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command101Variant0Version0

    public abstract FiscalResponse command101Variant0Version0​(java.lang.String operatorCode, java.lang.String oldPassword, java.lang.String newPassword) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command102Variant0Version0

    public abstract FiscalResponse command102Variant0Version0​(java.lang.String operatorCode, java.lang.String operatorPass, java.lang.String operatorName) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command103Variant0Version0

    public abstract FiscalResponse command103Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command105Variant0Version0

    public abstract FiscalResponse command105Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command106Variant0Version0

    public abstract FiscalResponse command106Variant0Version0​(java.lang.String mSec) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant0Version0

    public abstract FiscalResponse command107Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant1Version0

    public abstract FiscalResponse command107Variant1Version0​(java.lang.String taxGr, java.lang.String PLU, java.lang.String group, java.lang.String price, java.lang.String replaceQty, java.lang.String quantity, java.lang.String name) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant2Version0

    public abstract FiscalResponse command107Variant2Version0​(java.lang.String PLU, java.lang.String quantity) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant3Version0

    public abstract FiscalResponse command107Variant3Version0​(java.lang.String option, java.lang.String PLU, java.lang.String toPLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant4Version0

    public abstract FiscalResponse command107Variant4Version0​(java.lang.String PLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant5Version0

    public abstract FiscalResponse command107Variant5Version0​(java.lang.String startPLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant6Version0

    public abstract FiscalResponse command107Variant6Version0​(java.lang.String lastPLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant7Version0

    public abstract FiscalResponse command107Variant7Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant8Version0

    public abstract FiscalResponse command107Variant8Version0​(java.lang.String startPLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant9Version0

    public abstract FiscalResponse command107Variant9Version0​(java.lang.String startPLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant10Version0

    public abstract FiscalResponse command107Variant10Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant11Version0

    public abstract FiscalResponse command107Variant11Version0​(java.lang.String option, java.lang.String startPLU) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant12Version0

    public abstract FiscalResponse command107Variant12Version0​(java.lang.String PLU, java.lang.String price) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command108Variant0Version0

    public abstract FiscalResponse command108Variant0Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command109Variant0Version0

    public abstract FiscalResponse command109Variant0Version0​(java.lang.String count) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command110Variant0Version0

    public abstract FiscalResponse command110Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command111Variant0Version0

    public abstract FiscalResponse command111Variant0Version0​(java.lang.String reportType, java.lang.String firstPLU, java.lang.String lastPLU, java.lang.String group) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command112Variant0Version0

    public abstract FiscalResponse command112Variant0Version0​(java.lang.String operator) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command112Variant1Version0

    public abstract FiscalResponse command112Variant1Version0​(java.lang.String operator) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command113Variant0Version0

    public abstract FiscalResponse command113Variant0Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant0Version0

    public abstract FiscalResponse command114Variant0Version0​(java.lang.String Rec1) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant1Version0

    public abstract FiscalResponse command114Variant1Version0​(java.lang.String closure1, java.lang.String closure2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant2Version0

    public abstract FiscalResponse command114Variant2Version0​(java.lang.String closure1, java.lang.String closure2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant3Version0

    public abstract FiscalResponse command114Variant3Version0​(java.lang.String closure1, java.lang.String closure2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant4Version0

    public abstract FiscalResponse command114Variant4Version0​(java.lang.String closure1) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant5Version0

    public abstract FiscalResponse command114Variant5Version0​(java.lang.String closure1) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant6Version0

    public abstract FiscalResponse command114Variant6Version0​(java.lang.String closure1) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant7Version0

    public abstract FiscalResponse command114Variant7Version0​(java.lang.String closure1, java.lang.String closure2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant8Version0

    public abstract FiscalResponse command114Variant8Version0​(java.lang.String closure1, java.lang.String closure2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant9Version0

    public abstract FiscalResponse command114Variant9Version0​(java.lang.String closure1, java.lang.String closure2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command114Variant10Version0

    public abstract FiscalResponse command114Variant10Version0​(java.lang.String closure1) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command115Variant0Version0

    public abstract FiscalResponse command115Variant0Version0​(java.lang.String rowNum, java.lang.String data) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command115Variant1Version0

    public abstract FiscalResponse command115Variant1Version0​(java.lang.String rowNum) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command117Variant0Version0

    public abstract FiscalResponse command117Variant0Version0​(java.lang.String Reset) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command118Variant0Version0

    public abstract FiscalResponse command118Variant0Version0​(java.lang.String Reset) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command119Variant0Version0

    public abstract FiscalResponse command119Variant0Version0​(java.lang.String Flg, java.lang.String DT1, java.lang.String DT2) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command119Variant1Version0

    public abstract FiscalResponse command119Variant1Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command124Variant0Version0

    public abstract FiscalResponse command124Variant0Version0​(java.lang.String DocType, java.lang.String BegDate, java.lang.String EndDate) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command124Variant1Version0

    public abstract FiscalResponse command124Variant1Version0​(java.lang.String DocType, java.lang.String BegZ, java.lang.String EndZ) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command124Variant2Version0

    public abstract FiscalResponse command124Variant2Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command125Variant0Version0

    public abstract FiscalResponse command125Variant0Version0​(java.lang.String DocNum, java.lang.String RecType) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command125Variant1Version0

    public abstract FiscalResponse command125Variant1Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command125Variant1Version2

    public abstract FiscalResponse command125Variant1Version2() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### getMAX_PLU

    public abstract java.lang.Integer getMAX_PLU()

  - ### getMAX_PRICE

    public java.lang.Double getMAX_PRICE()

  - ### getMAX_DEPARTMENT

    public abstract java.lang.Integer getMAX_DEPARTMENT()

  - ### getMaxStockGroup

    public abstract java.lang.Integer getMaxStockGroup()

  - ### getMaxNonFiscalText

    public int getMaxNonFiscalText()

  - ### getMaxTextHeaderFooter

    public int getMaxTextHeaderFooter()

  - ### getMaxDisplayText

    public int getMaxDisplayText()

  - ### getMaxOperators

    public java.lang.Integer getMaxOperators()

  - ### getDefaultOpCode

    public java.lang.String getDefaultOpCode()

  - ### getDefaultOpPass

    public java.lang.String getDefaultOpPass()

  - ### getDefaultTillNumber

    public java.lang.String getDefaultTillNumber()

  - ### isCapAutoCutter

    public boolean isCapAutoCutter()

  - ### getMaxHeaderLines

    public int getMaxHeaderLines()

  - ### getMaxFooterLines

    public int getMaxFooterLines()

  - ### getMaxFiscalText

    public int getMaxFiscalText()

  - ### getMaxDepartments

    public abstract int getMaxDepartments()

  - ### getPrintColumns

    public abstract int getPrintColumns()

  - ### getMaxBarcodeHeight_mm

    public abstract int getMaxBarcodeHeight_mm()

  - ### command125Variant2Version0

    public abstract FiscalResponse command125Variant2Version0​(java.lang.String DocNum, java.lang.String RecType) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command140Variant0Version0

    public abstract FiscalResponse command140Variant0Version0​(java.lang.String EIK, java.lang.String EIKType, java.lang.String Receiver, java.lang.String Client, java.lang.String TaxNo, java.lang.String Address_1, java.lang.String Address_2) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant1Version0

    public abstract FiscalResponse command140Variant1Version0​(java.lang.String EIK) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant2Version0

    public abstract FiscalResponse command140Variant2Version0​(java.lang.String Seller) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant3Version0

    public abstract FiscalResponse command140Variant3Version0() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant4Version0

    public abstract FiscalResponse command140Variant4Version0() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant5Version0

    public abstract FiscalResponse command140Variant5Version0() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant6Version0

    public abstract FiscalResponse command140Variant6Version0() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant7Version0

    public abstract FiscalResponse command140Variant7Version0​(java.lang.String EIK) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getMaxLogoHeightPixel

    public abstract int getMaxLogoHeightPixel()

  - ### getMaxLogoWidthPixel

    public abstract int getMaxLogoWidthPixel()

  - ### getLogoROW_NUM

    public abstract int getLogoROW_NUM()

  - ### getCapFontSupported

    public abstract boolean getCapFontSupported()

  - ### getCapAutoCutter

    public abstract boolean getCapAutoCutter()

  - ### getMinBarcodeHeight_mm

    public abstract int getMinBarcodeHeight_mm()